
Redmine - Defect #14020

Locking and unlocking a user resets the email notification checkbox

2013-05-09 11:22 - Andreas Hartmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.3.2   

Resolution: Fixed Affected version: 2.3.0

Description

After locking and unlocking an user the checkbox "I don't want to be notified of changes that I make myself" in his/her profile is

always set to unchecked. I would be great if the user preferences were not affected by lockin/unlocking an user.

Environment:

  Redmine version                          2.3.0.stable.11715

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         MySQL

Associated revisions

Revision 11839 - 2013-05-13 18:38 - Jean-Philippe Lang

Fixed that locking and unlocking a user resets the email notification checkbox (#14020).

Revision 11997 - 2013-07-11 20:33 - Jean-Philippe Lang

Merged r11839 from trunk (#14020).

History

#1 - 2013-05-09 13:07 - Julian S. Luipold

+1 This is annoying.

#2 - 2013-05-13 18:41 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.2

- Resolution set to Fixed

Fixed in r11839, thanks for pointing this out.

#3 - 2013-07-11 20:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
